=== debian/control ===
Source: netplug
Section: net
Priority: optional
Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>> 7)
Standards-Version: 3.9.1
Homepage: http://www.red-bean.com/~bos/

Package: netplug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 iproute
Description: network link monitor daemon
 This daemon monitors the link status of network cards and configures
 the network on plug- and un-plug-events.
 .
 It's similar to ifplugd, but uses NETLINK instead of regularly polling
 the link status. This improves power-consumption with laptops, but does
 not work with all network card.
